Installation Media - Bug #2615
pacman -Syu giving errors
2020-02-01 03:10 AM - Dal

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category: systemd

Description

Hi everyone,| recently installed parabola systemd Ixde edition with calamares installation process. my issue is that the system cannot
upgrade when pacman -Syu is used. | tried by refreshing the keyring and also tried fixing with section 1.3 of the pacman
troubleshooting in the parabola wiki, and had to skip the archlinux-keyring and archlinux32-keyring because they were giving errors
when trying to install but then got stuck in the next step "sudo pacman-key --init" witht the error : "Trust Database could not be
updated". This is my second time reinstalling it, which i don't like if there was a way to chroot and mitigate this issue. thanks in
advance

History

#1 - 2020-02-01 01:30 PM - bill-auger

the system can almost always be repaired by chrooting in - we
can not help without seeing the actual error messages though

what is the actual error message from pacman -Syu ?

also, there are multiple ISOs with calamares, some from 2018 and
some from 2019 - which ISO did you use ?

#2 - 2020-02-01 06:50 PM - Dal

| have the one from 2018 complete.As | said on my original post, sudo pacman-key --init gives the error "ERROR: Trust database could not be
updated." | wish | could post the errors but the forum doesn't let me

#3 - 2020-02-01 06:52 PM - Dal

- File error added

here are the errors

#4 - 2020-02-01 07:06 PM - bill-auger
you can attach a file to any comment using the "browse" button -
that file can contain any text at all

after you make a few successful posts the new user restrictions
will be lifted automatically

you should not need to re-initialize the keyring - the
interesting error message would be the one from the
pacstrap or the installer - if the the installer fails, it will
create a file on the desktop named install.log

if you have one of the "complete" ISOs, you should be able to
install the system with no trouble at all - just make sure that

you disconnect the internet before starting the installer -
otherwise the ISO from 2019 will be less troublesome

#5 - 2020-02-01 07:53 PM - bill-auger

one of the errors in that file suggest that you have destroyed the keyring before running the command

warning: Public keyring not found; have you run 'pacman-key —--init'?

it would be very important to boot the ISO clean before running any commands - and when you post errors, please make it clear which commands
you have run, and post the complete output - that file you posted has omitted some essential information

again, if you ensure that the network is not connected first, you should not have any problems until after rebooting into the new system, and upgrading
for the first time - i have not tried that ISO in a long time; so im not sure - in fact i just deleted it from the website to make sure that no one else uses it
- the install path is much cleaner with the systemd-2019 and openrc-2020 1ISOs

you may want to join the #parabola IRC channel for help - it would be fairly difficult to walk you through install on the bug tracker with that ISO

https://webchat.freenode.net/?channel=#parabola

#6 - 2020-02-02 02:39 AM - Dal
Thank you so much for your help, | will try once again if not I'll try the other ISOs.The 2019 systemd is CLI, right?

#7 - 2020-02-02 02:47 AM - bill-auger

no it is an LXDE live system with the graphical calamares
installer and the complete packages set included - it is
for x86_64 only though

#8 - 2020-02-02 03:06 AM - Dal

Yes, | just checked the downloads and is a Ixde install. Also, the 2018 version is not there anymore. Thanks again

#9 - 2020-02-02 03:10 AM - bill-auger
- Category set to systemd

- Project changed from Packages to Installation Media

#10 - 2020-03-09 10:46 AM - bill-auger

- Status changed from unconfirmed to not-a-bug

Files

error 591 Bytes 2020-02-01 Dal
